import React, {Component} from 'react';
import AdminConnect from "spark-admin-connect";
import {connect} from 'react-redux';
import AuthJump from './AuthJump';
import LocalStorage from "../localStorage/LocalStorage";

class LoginPage extends Component {
    render() {
        let localStorage = new LocalStorage();
        let adminConnect = localStorage.getItem('adminConnectConfig', true);
        let permissionList = this.props.permissionList;
        console.log("LoginPage");
        console.log(this.props.permissionList);
        console.log(this.props);
        console.log("LoginPage");
        return <AdminConnect applicationId={adminConnect.applicationId} environment={adminConnect.environment}>
            <AuthJump permissionList={permissionList}/>
        </AdminConnect>
    }
}

export default connect(null)(LoginPage);
