import React, {Component} from 'react';
import AdminConnect from "spark-admin-connect";
import {connect} from 'react-redux';
import AuthJump from './AuthJump';
import LocalStorage from '../localStorage/LocalStorage';

class LogOutTrigger extends Component {
    render() {
        let localStorage = new LocalStorage();
        let adminConnect = localStorage.getItem('adminConnectConfig', true);
        console.log(adminConnect);
        console.log(adminConnect.applicationId);

        return <AdminConnect applicationId={adminConnect.applicationId} environment={adminConnect.environment}>
            <AuthJump logOut={true}/>
        </AdminConnect>
    }
}

export default connect(null)(LogOutTrigger);
