import SimpleCrypto from "simple-crypto-js";

class LocalStorage {
    constructor() {
        let secretKey = 'alaBalaPortocala123';

        this.simpleCrypto = new SimpleCrypto(secretKey);
    }

    setItem(key, value) {
        localStorage.setItem(key, this.simpleCrypto.encrypt(value));
    }

    getItem(key, parseJson = false) {
        let data = this.simpleCrypto.decrypt(localStorage.getItem(key));
        if (parseJson === true) {
            data = JSON.parse(data);
        }
        return data;
    }

    removeItem(key) {
        localStorage.removeItem(key);
    }
}

export default LocalStorage;